ServletSSL (Jetty :: Aggregate :: All core Jetty 7.6.8.v20121106 API)
Date: 2012-11-06

org.eclipse.jetty.server.ssl

## Class ServletSSL

- java.lang.Object
- - org.eclipse.jetty.server.ssl.ServletSSL

-     public class ServletSSL
      extends Object

  Jetty Servlet SSL support utilities.

  A collection of utilities required to support the SSL requirements of the Servlet 2.2 and 2.3 specs.

  Used by the SSL listener classes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletSSL()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `deduceKeyLength(String cipherSuite)` Given the name of a TLS/SSL cipher suite, return an int representing it effective stream cipher key strength.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServletSSL

          public ServletSSL()

  - ### Method Detail

    - #### deduceKeyLength

          public static int deduceKeyLength(String cipherSuite)

      Given the name of a TLS/SSL cipher suite, return an int representing it effective stream cipher key strength. i.e. How much entropy material is in the key material being fed into the encryption routines.

      This is based on the information on effective key lengths in RFC 2246 - The TLS Protocol Version 1.0, Appendix C. CipherSuite definitions:

                                   Effective
               Cipher       Type    Key Bits

               NULL       * Stream     0
               IDEA_CBC     Block    128
               RC2_CBC_40 * Block     40
               RC4_40     * Stream    40
               RC4_128      Stream   128
               DES40_CBC  * Block     40
               DES_CBC      Block     56
               3DES_EDE_CBC Block    168

      Parameters:
        `cipherSuite` - String name of the TLS cipher suite.
      Returns:
        int indicating the effective key entropy bit-length.

Copyright © 1995-2012 Mort Bay Consulting. All Rights Reserved.